function tabSwitch(tabarea, tab_count, active_tab_number)
{
    for (var i = 1; i < tab_count + 1; i++)
    {
        document.getElementById('t' + tabarea + '_' + i).className = '';
        document.getElementById('tc' + tabarea + '_' + i).style.display = 'none';
    }
    document.getElementById('t' + tabarea + '_' + active_tab_number).className = 'active';
    document.getElementById('tc' + tabarea + '_' + active_tab_number).style.display = 'block';
    // Store the default tab for later page loads
    _setCookie('dokuwiki_gs_default_tab', active_tab_number, 365);
}

function initTabArea()
{
    // Get the default tab cookie
    var active_tab_number = _getCookie("dokuwiki_gs_default_tab");

    // Switch tabs appropriately
    var tab_area_counter = 1;
    var possible_tab_area_id = 't' + tab_area_counter;
    while (document.getElementById('t' + tab_area_counter) != null)
    {
        var tab_count = 0;
        var possible_tab_id = 't' + tab_area_counter + '_' + (tab_count + 1);
        while (document.getElementById(possible_tab_id) != null)
        {
            tab_count++;
            possible_tab_id = possible_tab_area_id + '_' + (tab_count + 1);
        }
        tabSwitch(tab_area_counter, tab_count, active_tab_number);
        tab_area_counter++;
    }
}


/**
 *  source: http://www.w3schools.com/js/js_cookies.asp
 */
function _getCookie(c_name)
{
    var c_value = document.cookie;
    var c_start = c_value.indexOf(" " + c_name + "=");
    if (c_start == -1)
    {
        c_start = c_value.indexOf(c_name + "=");
    }
    if (c_start == -1)
    {
        c_value = null;
    }
    else
    {
        c_start = c_value.indexOf("=", c_start) + 1;
        var c_end = c_value.indexOf(";", c_start);
        if (c_end == -1)
        {
            c_end = c_value.length;
        }
        c_value = unescape(c_value.substring(c_start, c_end));
    }
    return c_value;
}
/** _getCookie() **/


/**
 *  source: http://www.w3schools.com/js/js_cookies.asp
 */
function _setCookie(c_name, value, exdays)
{
    var exdate=new Date();
    exdate.setDate(exdate.getDate() + exdays);
    var c_value = escape(value) + ((exdays==null) ? "" : "; expires=" + exdate.toUTCString());
    document.cookie=c_name + "=" + c_value;
}
/** _setCookie() **/

/** Register new init function - my first ever use of jQuery!
 */
jQuery(function() {
    initTabArea();
});